Skip to content

Re-establish the session using the long-life token

GET
/reconnect

Optional. Same as /connect but takes the long-life token returned
by a previous /connect. Used to re-establish the connection after
error messages. This is the call behind the refreshUrl returned by
/connect.

Parameters

Query Parameters

token*

Session token. For /connect this is the short-life token received
as the token URL parameter of the game launch (valid 5 minutes,
single use). For /reconnect and /disconnect it is the long-life
token returned by a previous /connect.

Type
string
Required
Example"206fa387-9565-4fc7-b6e6-b555ae064cfc"

Responses

Session re-established.

application/json
JSON
{
  
"tokenData": {
  
  
"operatorId": "string",
  
  
"playerId": "string",
  
  
"gameId": "string",
  
  
"mode": "string",
  
  
"currency": "EUR",
  
  
"currentToken": "string",
  
  
"gameRound": "ff85e29cb4414c89a89829c8411dacc2",
  
  
"walletMode": "string",
  
  
"language": "DE",
  
  
"currencyMultiplier": 1,
  
  
"device": "string",
  
  
"commonDraw": "string"
  
},
  
"balance": {
  
  
"totalBalance": 0,
  
  
"mode": "string",
  
  
"currency": "EUR",
  
  
"balances": [
  
  
  
{
  
  
  
  
"type": "real",
  
  
  
  
"currency": "EUR",
  
  
  
  
"amount": 0
  
  
  
}
  
  
],
  
  
"discountInfo": {
  
  
  
"text": "string",
  
  
  
"currency": "EUR",
  
  
  
"discounts": [
  
  
  
  
{
  
  
  
  
  
"stake": 0,
  
  
  
  
  
"absoluteDiscountAmount": 0,
  
  
  
  
  
"spinsRemaining": 0
  
  
  
  
}
  
  
  
],
  
  
  
"campaignId": "string",
  
  
  
"validFrom": "string",
  
  
  
"validTo": "string"
  
  
},
  
  
"tickets": [
  
  
  
{
  
  
  
  
"count": 0,
  
  
  
  
"stake": 0,
  
  
  
  
"currency": "EUR",
  
  
  
  
"price": 0,
  
  
  
  
"feature": "string",
  
  
  
  
"serial": "string"
  
  
  
}
  
  
],
  
  
"ticketInfo": {
  
  
  
"used": 0,
  
  
  
"granted": 0,
  
  
  
"won": 0,
  
  
  
"isLast": true,
  
  
  
"promotions": {
  
  
  
  
"protocolVersion": 0,
  
  
  
  
"data": "string"
  
  
  
},
  
  
  
"serial": "string"
  
  
}
  
},
  
"gameRoundInfo": {
  
  
"hash": "ff85e29cb4414c89a89829c8411dacc2",
  
  
"status": "open",
  
  
"stake": 0,
  
  
"baseStake": 0,
  
  
"mode": "string",
  
  
"currency": "EUR",
  
  
"game": "string",
  
  
"currencyMultiplier": 0,
  
  
"commonRoundHash": "ff85e29cb4414c89a89829c8411dacc2"
  
},
  
"commonGameRoundInfo": {
  
  
"additionalProperties": "string"
  
},
  
"gameState": [
  
  
{
  
  
  
"hash": "ff85e29cb4414c89a89829c8411dacc2",
  
  
  
"type": "debit",
  
  
  
"processedOn": "string",
  
  
  
"result": {
  
  
  
  
"winAmount": 0,
  
  
  
  
"info": {
  
  
  
  
  
"additionalProperties": "string"
  
  
  
  
}
  
  
  
},
  
  
  
"amountWagered": 0,
  
  
  
"collected": 0,
  
  
  
"reason": "collect 0.37 EUR"
  
  
}
  
],
  
"amountToCollect": 0,
  
"amountCredited": 0,
  
"freePlayInfo": {
  
  
"used": 0,
  
  
"granted": 0,
  
  
"won": 0,
  
  
"isLast": true,
  
  
"promotions": {
  
  
  
"protocolVersion": 0,
  
  
  
"data": "string"
  
  
},
  
  
"serial": "string"
  
},
  
"freePlaysAvailable": [
  
  
{
  
  
  
"currency": "EUR",
  
  
  
"stake": 0,
  
  
  
"count": 0,
  
  
  
"feature": "string",
  
  
  
"serial": "string"
  
  
}
  
],
  
"passThroughData": {
  
  
"additionalProperties": "string"
  
},
  
"promoWinInfo": {
  
  
"referenceId": "string"
  
},
  
"backendUrl": "string",
  
"refreshUrl": "string",
  
"logoutUrl": "string",
  
"webSocketUrl": "string",
  
"token": "string",
  
"gameSettings": {
  
  
"autoplayEnabled": true,
  
  
"autoplayLossLimitRequired": true,
  
  
"displayCoins": true,
  
  
"displayJackpotOdds": true,
  
  
"displayRTP": true,
  
  
"displayXRTP": true,
  
  
"forceOrientation": 0,
  
  
"gambleEnabled": true,
  
  
"historyURL": "string",
  
  
"homeURL": "string",
  
  
"loadMsg": "string",
  
  
"maxExposure": 0,
  
  
"maxStake": 0,
  
  
"maxPackageStake": 0,
  
  
"minStake": 0,
  
  
"minLoadTime": 0,
  
  
"minSpinTime": 0,
  
  
"multipleInstancesAllowed": true,
  
  
"rcDisplayWinLoss": true,
  
  
"rcEnabled": true,
  
  
"rcInterval": 0,
  
  
"stopEnabled": true,
  
  
"topupURL": "string",
  
  
"turboEnabled": true,
  
  
"homeEnabled": true,
  
  
"dynamicMinSpinTime": true,
  
  
"redirectTarget": "string",
  
  
"packageBuyEnabled": true,
  
  
"defaultStakeIndex": 0,
  
  
"operatorHandlesErrors": true,
  
  
"displayClock": true,
  
  
"isSocial": true,
  
  
"displayCurrency": true,
  
  
"customStakes": [
  
  
  
0
  
  
],
  
  
"lossLimitURL": "string",
  
  
"partialCollectEnabled": true,
  
  
"hideCompanyLogo": true,
  
  
"abbreviateAmounts": true,
  
  
"showExactRTP": true,
  
  
"jurisdiction": "string",
  
  
"forceDefaultStake": true,
  
  
"disableFullScreenMobile": true,
  
  
"displayPaytableOnEnterGame": true,
  
  
"doNotStoreSettings": [
  
  
  
"string"
  
  
],
  
  
"sessionTimeoutInSeconds": 0,
  
  
"displayNetPosition": true,
  
  
"hideDemoBalance": true,
  
  
"preventRedirect": true,
  
  
"refreshDisabled": true,
  
  
"displayWinOdds": [
  
  
  
"string"
  
  
],
  
  
"displaySessionTimer": true,
  
  
"skipWinsEqualToOrLessThanStake": true,
  
  
"reportAnimationEnd": true,
  
  
"launcherType": "string",
  
  
"autoplayShowTotalStake": true,
  
  
"translateErrors": true,
  
  
"currencyToDisplay": "string"
  
},
  
"gameVariables": {
  
  
"rcElapsed": 0
  
},
  
"operatorProtocol": 0,
  
"featuresAvailable": [
  
  
{
  
  
  
"game": "string",
  
  
  
"type": "string",
  
  
  
"rtp": 0,
  
  
  
"value": 0,
  
  
  
"description": "string"
  
  
}
  
]
}

Samples

Powered by VitePress OpenAPI